Get ZKS instances status
GET /api/v1/zks/instances/status. Kubernetes API reference.
Get ZKS instances status
curl --request GET \
--url https://{apiHost}/api/v1/zks/instances/status \
--header 'Authorization: Bearer <token>'import requests
url = "https://{apiHost}/api/v1/zks/instances/status"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{apiHost}/api/v1/zks/instances/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"list": [
{
"id": "<string>",
"projectId": "<string>",
"name": "<string>",
"title": "<string>",
"description": "<string>",
"tags": {},
"runState": "RUN_STATE_UNSPECIFIED",
"provider": "<string>",
"kubeVersion": "<string>",
"architecture": "<string>",
"created": "2023-11-07T05:31:56Z",
"totalResources": 123,
"nOfNodes": 123,
"deployments": 123,
"capacity": {
"pods": {
"used": 123,
"total": 123
},
"cpus": {
"reserved": {
"current": 123,
"total": 123
},
"used": {
"current": 123,
"total": 123
}
},
"memory": {
"reserved": {
"current": 123,
"total": 123
},
"used": {
"current": 123,
"total": 123
}
}
},
"zksClusterId": "<string>",
"projectName": "<string>",
"zksBaseUrl": "<string>",
"isImported": true,
"fleetWorkspaceName": "<string>",
"totalNumberOfNodes": 123,
"clusterPrefix": "<string>",
"adminState": "ADMIN_STATE_UNSPECIFIED"
}
],
"result": {
"operationType": "OPS_TYPE_UNSPECIFIED",
"operationStatus": "OPS_STATUS_UNSPECIFIED",
"objectKind": "<string>",
"objectId": "<string>",
"objectName": "<string>",
"objectRevision": "<string>",
"objectType": "OBJECT_TYPE_UNSPECIFIED",
"operationTime": "<string>",
"startTime": "<string>",
"endTime": "<string>",
"user": "<string>",
"httpStatusCode": 123,
"httpStatusMsg": "<string>",
"jobId": "<string>",
"error": [
{
"ec": "zMsgErrorNone",
"location": "<string>",
"details": "<string>"
}
]
},
"summaries": {
"statuses": {
"online": 123,
"init": 123,
"suspect": 123,
"error": 123,
"unspecified": 123,
"unknown": 123,
"offline": 123,
"pending": 123
}
},
"totalCount": 123,
"next": {
"pageToken": "<string>",
"orderBy": [
"<string>"
],
"pageNum": 123,
"pageSize": 123,
"totalPages": 123
}
}{
"operationType": "OPS_TYPE_UNSPECIFIED",
"operationStatus": "OPS_STATUS_UNSPECIFIED",
"objectKind": "<string>",
"objectId": "<string>",
"objectName": "<string>",
"objectRevision": "<string>",
"objectType": "OBJECT_TYPE_UNSPECIFIED",
"operationTime": "<string>",
"startTime": "<string>",
"endTime": "<string>",
"user": "<string>",
"httpStatusCode": 123,
"httpStatusMsg": "<string>",
"jobId": "<string>",
"error": [
{
"ec": "zMsgErrorNone",
"location": "<string>",
"details": "<string>"
}
]
}{
"operationType": "OPS_TYPE_UNSPECIFIED",
"operationStatus": "OPS_STATUS_UNSPECIFIED",
"objectKind": "<string>",
"objectId": "<string>",
"objectName": "<string>",
"objectRevision": "<string>",
"objectType": "OBJECT_TYPE_UNSPECIFIED",
"operationTime": "<string>",
"startTime": "<string>",
"endTime": "<string>",
"user": "<string>",
"httpStatusCode": 123,
"httpStatusMsg": "<string>",
"jobId": "<string>",
"error": [
{
"ec": "zMsgErrorNone",
"location": "<string>",
"details": "<string>"
}
]
}{
"operationType": "OPS_TYPE_UNSPECIFIED",
"operationStatus": "OPS_STATUS_UNSPECIFIED",
"objectKind": "<string>",
"objectId": "<string>",
"objectName": "<string>",
"objectRevision": "<string>",
"objectType": "OBJECT_TYPE_UNSPECIFIED",
"operationTime": "<string>",
"startTime": "<string>",
"endTime": "<string>",
"user": "<string>",
"httpStatusCode": 123,
"httpStatusMsg": "<string>",
"jobId": "<string>",
"error": [
{
"ec": "zMsgErrorNone",
"location": "<string>",
"details": "<string>"
}
]
}{
"operationType": "OPS_TYPE_UNSPECIFIED",
"operationStatus": "OPS_STATUS_UNSPECIFIED",
"objectKind": "<string>",
"objectId": "<string>",
"objectName": "<string>",
"objectRevision": "<string>",
"objectType": "OBJECT_TYPE_UNSPECIFIED",
"operationTime": "<string>",
"startTime": "<string>",
"endTime": "<string>",
"user": "<string>",
"httpStatusCode": 123,
"httpStatusMsg": "<string>",
"jobId": "<string>",
"error": [
{
"ec": "zMsgErrorNone",
"location": "<string>",
"details": "<string>"
}
]
}{
"code": 123,
"message": "<string>",
"details": [
{
"typeUrl": "<string>",
"value": "aSDinaTvuI8gbWludGxpZnk="
}
]
}
Authentication · API availability · Download OpenAPI
Successfully retrieved ZKS instances statusBad Request. Invalid query parameters.Unauthorized. Authentication credentials are missing or invalid.Forbidden. User does not have permission to view ZKS instances status.Internal Server Error. Failed to retrieve status due to server error.An unexpected error response.
Authorizations
Bearer token for the ZedCloud gateway user session
Headers
User-Agent specified id to track a request
Response
Successfully retrieved ZKS instances status
Detailed statuses of the zks instances
Show child attributes
Show child attributes
Response result
Show child attributes
Show child attributes
Summaries of the ZKS instance statuses
Show child attributes
Show child attributes
Total count of zks instances matching the filter
Cursor for pagination
Show child attributes
Show child attributes
Was this page helpful?
⌘I
Get ZKS instances status
curl --request GET \
--url https://{apiHost}/api/v1/zks/instances/status \
--header 'Authorization: Bearer <token>'import requests
url = "https://{apiHost}/api/v1/zks/instances/status"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{apiHost}/api/v1/zks/instances/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"list": [
{
"id": "<string>",
"projectId": "<string>",
"name": "<string>",
"title": "<string>",
"description": "<string>",
"tags": {},
"runState": "RUN_STATE_UNSPECIFIED",
"provider": "<string>",
"kubeVersion": "<string>",
"architecture": "<string>",
"created": "2023-11-07T05:31:56Z",
"totalResources": 123,
"nOfNodes": 123,
"deployments": 123,
"capacity": {
"pods": {
"used": 123,
"total": 123
},
"cpus": {
"reserved": {
"current": 123,
"total": 123
},
"used": {
"current": 123,
"total": 123
}
},
"memory": {
"reserved": {
"current": 123,
"total": 123
},
"used": {
"current": 123,
"total": 123
}
}
},
"zksClusterId": "<string>",
"projectName": "<string>",
"zksBaseUrl": "<string>",
"isImported": true,
"fleetWorkspaceName": "<string>",
"totalNumberOfNodes": 123,
"clusterPrefix": "<string>",
"adminState": "ADMIN_STATE_UNSPECIFIED"
}
],
"result": {
"operationType": "OPS_TYPE_UNSPECIFIED",
"operationStatus": "OPS_STATUS_UNSPECIFIED",
"objectKind": "<string>",
"objectId": "<string>",
"objectName": "<string>",
"objectRevision": "<string>",
"objectType": "OBJECT_TYPE_UNSPECIFIED",
"operationTime": "<string>",
"startTime": "<string>",
"endTime": "<string>",
"user": "<string>",
"httpStatusCode": 123,
"httpStatusMsg": "<string>",
"jobId": "<string>",
"error": [
{
"ec": "zMsgErrorNone",
"location": "<string>",
"details": "<string>"
}
]
},
"summaries": {
"statuses": {
"online": 123,
"init": 123,
"suspect": 123,
"error": 123,
"unspecified": 123,
"unknown": 123,
"offline": 123,
"pending": 123
}
},
"totalCount": 123,
"next": {
"pageToken": "<string>",
"orderBy": [
"<string>"
],
"pageNum": 123,
"pageSize": 123,
"totalPages": 123
}
}{
"operationType": "OPS_TYPE_UNSPECIFIED",
"operationStatus": "OPS_STATUS_UNSPECIFIED",
"objectKind": "<string>",
"objectId": "<string>",
"objectName": "<string>",
"objectRevision": "<string>",
"objectType": "OBJECT_TYPE_UNSPECIFIED",
"operationTime": "<string>",
"startTime": "<string>",
"endTime": "<string>",
"user": "<string>",
"httpStatusCode": 123,
"httpStatusMsg": "<string>",
"jobId": "<string>",
"error": [
{
"ec": "zMsgErrorNone",
"location": "<string>",
"details": "<string>"
}
]
}{
"operationType": "OPS_TYPE_UNSPECIFIED",
"operationStatus": "OPS_STATUS_UNSPECIFIED",
"objectKind": "<string>",
"objectId": "<string>",
"objectName": "<string>",
"objectRevision": "<string>",
"objectType": "OBJECT_TYPE_UNSPECIFIED",
"operationTime": "<string>",
"startTime": "<string>",
"endTime": "<string>",
"user": "<string>",
"httpStatusCode": 123,
"httpStatusMsg": "<string>",
"jobId": "<string>",
"error": [
{
"ec": "zMsgErrorNone",
"location": "<string>",
"details": "<string>"
}
]
}{
"operationType": "OPS_TYPE_UNSPECIFIED",
"operationStatus": "OPS_STATUS_UNSPECIFIED",
"objectKind": "<string>",
"objectId": "<string>",
"objectName": "<string>",
"objectRevision": "<string>",
"objectType": "OBJECT_TYPE_UNSPECIFIED",
"operationTime": "<string>",
"startTime": "<string>",
"endTime": "<string>",
"user": "<string>",
"httpStatusCode": 123,
"httpStatusMsg": "<string>",
"jobId": "<string>",
"error": [
{
"ec": "zMsgErrorNone",
"location": "<string>",
"details": "<string>"
}
]
}{
"operationType": "OPS_TYPE_UNSPECIFIED",
"operationStatus": "OPS_STATUS_UNSPECIFIED",
"objectKind": "<string>",
"objectId": "<string>",
"objectName": "<string>",
"objectRevision": "<string>",
"objectType": "OBJECT_TYPE_UNSPECIFIED",
"operationTime": "<string>",
"startTime": "<string>",
"endTime": "<string>",
"user": "<string>",
"httpStatusCode": 123,
"httpStatusMsg": "<string>",
"jobId": "<string>",
"error": [
{
"ec": "zMsgErrorNone",
"location": "<string>",
"details": "<string>"
}
]
}{
"code": 123,
"message": "<string>",
"details": [
{
"typeUrl": "<string>",
"value": "aSDinaTvuI8gbWludGxpZnk="
}
]
}